.region-header {
  display: flex;
  flex-direction: column;
}

.region-nav-main {
  display: flex;
  align-items: center;
  width: 100%;
}

.region-nav-main-btn {
  display: flex;
  width: 100%;
  align-items: flex-end;
}

.region-nav-main-btn > .block {
  width: 100%;
}

.region-nav-branding {
  display: flex;
  align-items: center;
  gap: 20px;
  flex-direction: column;
}

.region-header-media {
  display: none;
}

.region-nav-additional {
  background: url('../images/header/menu.webp') no-repeat top left / cover;
  background-position: 55%;
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.region-nav-domain {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 8px;
  margin-top: 8px;
  margin-bottom: 16px;
}

@media (width >= 768px) {
  .region-header {
    flex-direction: row;
  }

  .nav-container {
    margin-top: 8px;
  }

  .region-nav-branding {
    flex-direction: row;
  }

  .region-nav-domain {
    justify-content: flex-start;
    padding: 0 16px;
  }
}

@media (width >= 992px) {
  .region-nav-main-btn,
  .region-nav-main {
    height: 80px;
  }

  .nav-container {
    margin-top: 0;
  }

  .region-nav-domain {
    margin-bottom: 0;
  }

  .region-header-media {
    width: 100%;
    height: 220px;
    display: flex;
    align-items: flex-end;
  }
}

@media (width >= 1200px) {
  .region-nav-additional {
    background: url('../images/header/menu.webp') no-repeat top left / contain;
    background-position: left;
  }

  .region-header-media {
    height: 220px;
  }
}

@media (width >= 1400px) {
  .region-header-media {
    height: 230px;
  }
}

.main_nav {
  width: 100%;
  border: 1px solid #adadad;
  padding: 8px 16px;
}

.main_nav .navbar-nav {
  align-items: center;
  gap: 4px;
}

.main_nav .navbar-nav .nav-link {
  padding: 0 12px;
  text-transform: uppercase;
  line-height: 20px;
  font-family: Nagel;
  font-size: 16px;
}

.main_nav .navbar-nav .nav-item {
  display: flex;
  align-items: center;
}

.navbar {
  display: flex;
  flex-direction: column;
  margin-top: 16px;
}

.navbar-collapse {
  width: 100%;
  margin-top: 8px;
}

.navbar-toggler {
  border: 3px solid var(--bs-body-color);
  border-radius: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 52px;
  color: var(--bs-body-color);
  text-decoration: none;
  text-transform: uppercase;
  font-family: Fact;
  font-size: 24px;
  padding: 0;
  width: 100%;
}

.navbar-toggler:focus {
  box-shadow: none;
}
#block-dcforum-content .reg-button{
  border: none;
}
.reg-button {
  border: 3px solid #fd2a3c;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 52px;
  text-align: center;
}
.reg-button:hover {
  background-color: #fd2a3c;
}
.reg-button:hover a,
.reg-button:hover span {
  color: #ffffff;
}
.reg-button.disabled {
  border: 3px solid #000000a6;
}

.reg-button a,
.reg-button span {
  color: #fd2a3c;
  text-decoration: none;
  text-transform: uppercase;
  font-family: Fact;
  font-size: 24px;
}

.reg-button .reg-button--small {
  font-size: 18px;
}

.reg-button.disabled a,
.reg-button.disabled span {
  color: #000000a6;
}

.header--date-city {
  margin-top: 8px;
  margin-left: 8px;
  margin-right: 8px;
}

.header--date-city .views-row {
  display: flex;
  gap: 20px;
  justify-content: space-between;
}

.header--date-city .views-field-field-header-date {
  color: #000000;
  font-family: Nagel;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 500;
  display: flex;
  align-items: center;
}

.header--date-city .views-field-field-header-city {
  color: #000000;
  font-family: Nagel;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 500;
  display: flex;
  align-items: center;
}

.header--date-city .header--square {
  display: flex;
  align-items: center;
}

.header--date-city .header--square::before {
  content: '';
  display: inline-block;
  width: 18px;
  height: 18px;
  background-color: #fd2a3c;
  margin-right: 10px;
}

.header--location {
  text-align: center;
  margin-bottom: 8px;
  min-height: 30px;
}

.header--location a {
  font-size: 13px;
}

.header--phone {
  margin-right: 16px;
}

.header--phone .views-field-field-header-phone {
  color: #000000;
  font-family: Nagel;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 500;
  display: flex;
  align-items: center;
}

.header--phone .views-field-field-header-phone::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;
  background-color: #fd2a3c;
  margin-right: 10px;
  background: url('../images/header/phone.webp') no-repeat center center /
    contain;
}

.header--logo {
  margin-left: 16px;
}

.header--logo .views-field-field-header-logo img {
  /*width: 220px;*/
  height: auto;
}

.header--title .views-field-field-header-name a {
  color: #fd2a3c;
  font-family: Nagel;
  font-size: 28px;
  font-weight: 500;
  text-decoration: none;
  line-height: 1.2;
  width: 100%;
  display: block;
  text-align: center;
}

@media (width >= 768px) {
  .navbar {
    margin-top: 0;
  }

  .main_nav .navbar-nav {
    column-count: 2;
    display: block;
  }

  .header--date-city {
    margin-top: 8px;
    margin-left: 16px;
    margin-right: 60px;
  }

  .header--date-city .views-row {
    gap: 30px;
    justify-content: flex-start;
  }

  .header--date-city .views-field-field-header-date {
    font-size: 20px;
  }

  .header--date-city .views-field-field-header-city {
    font-size: 20px;
  }

  .header--location {
    width: 180px;
    margin-bottom: 8px;
    text-align: left;
    min-height: auto;
  }

  .header--phone {
    margin-right: 0;
  }

  .header--title .views-field-field-header-name a {
    text-align: left;
  }
}

@media (width >= 992px) {
  .navbar-collapse {
    margin-top: 0;
  }

  .main_nav {
    padding: 8px 8px;
  }

  .main_nav .navbar-nav {
    align-items: flex-start;
    gap: 0;
    display: flex;
  }

  .main_nav .navbar-nav .nav-link {
    padding: 0 7px;
    font-size: 14px;
  }

  .main_nav .navbar-nav .nav-item::after {
    content: '';
    display: inline-block;
    height: 16px;
    width: 1px;
    background-color: #fd2a3c;
  }

  .main_nav .navbar-nav .nav-item:last-child::after {
    display: none;
  }

  .main_nav .navbar-nav .nav-item:first-child .nav-link {
    padding-left: 0;
  }
  .main_nav .navbar-nav .nav-item:last-child .nav-link {
    padding-right: 0;
  }

  .reg-button,
  .navbar-toggler {
    height: 72px;
  }

  .red-squares {
    position: relative;
  }

  .red-squares::after {
    content: '';
    display: block;
    background-color: #fd2a3c;
    width: 80px;
    height: 80px;
    position: absolute;
    bottom: 80px;
    left: 80px;
    z-index: 1;
  }

  .red-squares::before {
    content: '';
    display: block;
    background-color: #fd2a3c;
    width: 80px;
    height: 80px;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
  }
}

@media (width >= 1200px) {
  .main_nav {
    padding: 8px 10px;
  }

  .main_nav .navbar-nav .nav-item::after {
    height: 20px;
    width: 2px;
  }

  .main_nav .navbar-nav .nav-link {
    padding: 0 10px;
    font-size: 16px;
  }

  .header--title .views-field-field-header-name a {
    width: 85%;
  }
}

@media (width >= 1400px) {
  .main_nav {
    padding: 8px 16px;
  }

  .main_nav .navbar-nav .nav-link {
    padding: 0 12px;
  }

  .red-square {
    position: relative;
  }

  .red-square::after {
    content: '';
    display: block;
    background-color: #fd2a3c;
    width: 80px;
    height: 80px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: -1;
  }
}

.header--bg {
  background: url('../images/header/bg.webp') no-repeat 1em bottom / contain;
  background-size: 130% 75px;
  background-position-x: right;
  padding-left: 0;
  border-left: calc(var(--bs-gutter-x) * 0.5) solid #ffffff;
}

.media--logo {
  margin-left: 16px;
}

.media--logo img {
  width: auto;
  height: 26px;
}

.media--events {
  order: 1;
}

.media--events a {
  color: #fd2a3c;
  font-family: Fact;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 600;
}

.media--domains {
  order: 0;
}

.media--domains .dropdown-toggle {
  background: none;
  border: none;
  cursor: pointer;
  font-family: Fact;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 600;
  display: flex;
  align-items: center;
  gap: 4px;
}

.media--domains .dropdown-toggle::after {
  border: 0;
  background: url('../images/header/arrow-down.webp') #ffffff no-repeat 3px
    center / 18px 18px;
  width: 26px;
  height: 26px;
  z-index: 79;
  position: relative;
}

.media--domains .dropdown-toggle.show::after {
  background: url('../images/header/arrow-left.webp') #ffffff no-repeat 3px
    center / 18px 18px;
  border: 1px solid #adadad;
  border-right: 0;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.media--domains .dropdown-menu {
  border: 1px solid #adadad;
  border-radius: 0 4px 4px 4px;
  left: -10px !important;
  top: 1px !important;
  z-index: 78;
  padding: 4px 8px;
  min-width: auto;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.media--domains .dropdown-menu ul,
.media--domains .dropdown-menu li {
  margin: 0;
}

.media--domains .dropdown-menu a {
  font-size: 13px;
  white-space: nowrap;
}

.media--domains .dropdown-menu a.active {
  color: #fd2a3c;
  text-decoration: none;
}

.media--domains .dropdown-menu ul:has(li:nth-child(5)) {
  column-count: 2;
  column-gap: 16px;
}

@media (width >= 768px) {
  .header--bg {
    background-size: 130%;
  }

  .media--events {
    order: 0;
  }

  .media--domains {
    order: 1;
  }

  .media--events + .media--domains {
    margin-left: 80px;
  }

  .media--domains .dropdown-menu {
    left: -9px !important;
  }

  .p-reg {
    padding-left: 4px;
  }
}

@media (width >= 992px) {

}

@media (width >= 1200px) {
  .header--bg {
    background-size: 110%;
  }
}

@media (width >= 1400px) {
  .header--bg {
    background-size: 100%;
  }

  .p-reg {
    padding-left: 8px;
  }
}
